﻿namespace ProjectSchedule.Entities;

public class GroupStudents
{
    public int Id { get; private set; }

    public string AbbreviationGroup { get; private set; } = string.Empty;

    public string GroupNumber { get; private set; } = string.Empty;

    public int QuantityStudents { get; private set; }

    public static GroupStudents CreateEntity(int id, string abbreviationGroup, string groupNumber, int quantityStudents)
    {
        return new GroupStudents
        {
            Id = id,
            AbbreviationGroup = abbreviationGroup ?? string.Empty,
            GroupNumber = groupNumber ?? string.Empty,
            QuantityStudents = quantityStudents
        };
    }
}