﻿using ProjectSchedule.Entities;

namespace ProjectSchedule.Repositories;

public interface IAudienceRepository
{
    IEnumerable<Audience> ReadAudiences();

    Audience ReadAudienceById(int id);

    void CreateAudience(Audience audience);

    void UpdateAudience(Audience audience);

    void DeleteAudience(int id);
}