﻿using ProjectSchedule.Entities;

namespace ProjectSchedule.Repositories;

public interface ICompilingScheduleRepository
{
    IEnumerable<CompilingSchedule> ReadCompilingSchedules(DateTime? dateForm = null, DateTime? dateTo = null, 
        int? educatorId = null, int? disciplineId = null, int? groupStudentsId = null, int? audienceId = null);

    void CreateCompilingSchedule(CompilingSchedule compilingSchedule);
}