﻿using ProjectSchedule.Entities;

namespace ProjectSchedule.Repositories;

public interface ICurriculumSupplementRepository
{
    IEnumerable<CurriculumSupplement> ReadCurriculumSupplements(DateTime? dateForm = null, DateTime? dateTo = null, 
        int? disciplineId = null, int? groupStudentsId = null);

    void CreateCurriculumSupplement(CurriculumSupplement curriculumSupplement);

    void DeleteCurriculumSupplement(int id);
}