﻿using ProjectSchedule.Entities;

namespace ProjectSchedule.Repositories;

public interface IGroupStudentsRepository
{
    IEnumerable<GroupStudents> ReadGroupsStudents();

    GroupStudents ReadGroupStudentsById(int id);

    void CreateGroupStudents(GroupStudents groupStudents);

    void UpdateGroupStudents(GroupStudents groupStudents);

    void DeleteGroupStudents(int id);
}