﻿using ProjectSchedule.Entities.Enums;

namespace ProjectSchedule.Entities;

public class Audience
{
    public int Id { get; private set; }

    public string NumberAudience { get; private set; } = string.Empty;

    public TypeAudience TypeAudience { get; private set; }

    public int QuantitySeats { get; private set; }

    public static Audience CreateEntity(int id, string numberAudience, TypeAudience typeAudience, int quantitySeats)
    {
        return new Audience
        {
            Id = id,
            NumberAudience = numberAudience ?? string.Empty,
            TypeAudience = typeAudience,
            QuantitySeats = quantitySeats
        };
    }
}