﻿namespace ProjectSchedule.Entities;

public class DisciplineCurriculumSupplement
{
    public int Id { get; private set; }

    public int DisciplineId { get; private set; }

    public int QuantityLectures { get; private set; }

    public int QuantityPractices { get; private set; }

    public static DisciplineCurriculumSupplement CreateElement(int id, int disciplineId, int quantityLectures, int quantityPractices)
    {
        return new DisciplineCurriculumSupplement
        {
            Id = id,
            DisciplineId = disciplineId,
            QuantityLectures = quantityLectures,
            QuantityPractices = quantityPractices
        };
    }
}