﻿namespace ProjectSchedule.Entities;

public class Educator
{
    public int Id { get; private set; }

    public string Surname { get; private set; } = string.Empty;

    public string Name { get; private set; } = string.Empty;

    public string Patronymic { get; private set; } = string.Empty;

    public static Educator CreateEntity(int id, string surname, string name, string patronymic)
    {
        return new Educator
        {
            Id = id,
            Surname = surname ?? string.Empty,
            Name = name ?? string.Empty,
            Patronymic = patronymic ?? string.Empty
        };
    }
}