﻿using ProjectSchedule.Entities;

namespace ProjectSchedule.Repositories;

public interface IEducatorRepository
{
    IEnumerable<Educator> ReadEducators();

    Educator ReadEducatorById(int id);

    void CreateEducator(Educator educator);

    void UpdateEducator(Educator educator);

    void DeleteEducator(int id);
}